//+------------------------------------------------------------------+
//|                                                  CacheDelete.mq5 |
//+------------------------------------------------------------------+
#property strict
#property script_show_inputs
#define MAX_PATH 260
struct FILETIME
  {
   uint              dwLowDateTime;
   uint              dwHighDateTime;
  };

struct FIND_DATAW
  {
   uint              dwFileAttributes;
   FILETIME          ftCreationTime;
   FILETIME          ftLastAccessTime;
   FILETIME          ftLastWriteTime;
   uint              nFileSizeHigh;
   uint              nFileSizeLow;
   uint              dwReserved0;
   uint              dwReserved1;
   short             cFileName[MAX_PATH];
   short             cAlternateFileName[14];
  };

#import "kernel32.dll"
int DeleteFileW(const string file_name);
long FindFirstFileW(const string file_name, FIND_DATAW &find_file_data);
int FindNextFileW(long find_file, FIND_DATAW &find_file_data);
int FindClose(long find_file);
#import

void OnStart()
  {
   DeleteFile(TerminalInfoString(TERMINAL_DATA_PATH) + "\\Tester\\cache\\");
  }

void DeleteFile(string Path)
  {
   FIND_DATAW FindData;
   FindData.cFileName[0] = 0;
   const long handle = FindFirstFileW(Path + "*.*", FindData);
   if(handle != INVALID_HANDLE)
     {
      do
        {
         bool PrDelete = DeleteFileW(Path + ShortArrayToString(FindData.cFileName));
         Print("PrDelete=",PrDelete);
        }
      while(FindNextFileW(handle, FindData));
      FindClose(handle);
     }
  }

